Skip to main content
GET
/
barcode
/
{barcode_value}
Lookup by barcode
curl --request GET \
  --url https://app.colacloud.us/api/v1/barcode/{barcode_value} \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "barcode_value": "<string>",
    "barcode_type": "<string>",
    "colas": [
      {
        "ttb_id": "<string>",
        "brand_name": "<string>",
        "product_name": "<string>",
        "product_type": "wine",
        "class_name": "<string>",
        "origin_name": "<string>",
        "domestic_or_imported": "domestic",
        "permit_number": "<string>",
        "application_type": "<string>",
        "application_status": "<string>",
        "application_date": "2023-12-25",
        "approval_date": "2023-12-25",
        "expiration_date": "2023-12-25",
        "abv": 123,
        "volume": 123,
        "volume_unit": "<string>",
        "llm_category": "<string>",
        "llm_category_path": "<string>",
        "image_count": 123,
        "main_image_url": "<string>"
      }
    ],
    "total_colas": 123
  }
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Path Parameters

barcode_value
string
required

The barcode value (UPC-A, EAN-13, etc.)

Response

Successful response

data
object